Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2259558

Summary: F40FailsToInstall: blender
Product: [Fedora] Fedora Reporter: Fedora Fails To Install <fti-bugs>
Component: blenderAssignee: Luya Tshimbalanga <luya_tfz>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: high    
Version: 40CC: alexus_m, bnrj.rudra, code, cra, design-devel, edgar.hoch, epel-packagers-sig, frank.richter, Jean-Claude.COLSON, jwakely, kwizart, luya_tfz, negativo17
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: blender-4.1.1-3.fc40 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2024-04-25 01:00:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2259557    
Bug Blocks: 2231790, 2258089, 2274090    

Description Fedora Fails To Install 2024-01-22 10:49:45 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (blender) Fails To Install in Fedora 40:

can't install blender:
  - nothing provides libboost_python312.so.1.81.0()(64bit) needed by blender-1:4.0.2-1.fc40.x86_64
  - nothing provides libopenvdb.so.10.1()(64bit) needed by blender-1:4.0.2-1.fc40.x86_64
  - nothing provides libboost_locale.so.1.81.0()(64bit) needed by blender-1:4.0.2-1.fc40.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-40-x86_64 --config-opts mirrored=False install blender


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Jonathan Wakely 2024-01-22 11:26:30 UTC
This couldn't be rebuilt for the new boost because OpenImageIO couldn't be rebuilt.

Comment 2 Fedora Fails To Install 2024-01-29 16:07:24 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/ if you are unsure how to fix this bug.

Comment 3 Aoife Moloney 2024-02-15 23:11:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 40 development cycle.
Changing version to 40.

Comment 4 Fedora Fails To Install 2024-02-19 19:05:58 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 4+ weeks.
This is the second reminder (step 4) from the policy.

Don't hesitate to ask for help on https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/ if you are unsure how to fix this bug.

Comment 5 Luya Tshimbalanga 2024-02-19 21:17:52 UTC
It appears Blender code for nanovdb is incompatible with OpenVDB 11.0:
'''
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp: In member function ‘bool ccl::ToNanoOp::operator()(const openvdb::v11_0::GridBase::ConstPtr&)’:
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:58:33: error: ‘openToNanoVDB’ is not a member of ‘nanovdb’
   58 |             nanogrid = nanovdb::openToNanoVDB<nanovdb::HostBuffer,
      |                                 ^~~~~~~~~~~~~
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:58:66: error: expected primary-expression before ‘,’ token
   58 |             nanogrid = nanovdb::openToNanoVDB<nanovdb::HostBuffer,
      |                                                                  ^
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:59:79: error: expected ‘(’ before ‘,’ token
   59 |                                               typename FloatGridType::TreeType,
      |                                                                               ^
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:60:59: error: expected primary-expression before ‘>’ token
   60 |                                               nanovdb::FpN>(floatgrid);
      |                                                           ^
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:64:33: error: ‘openToNanoVDB’ is not a member of ‘nanovdb’
   64 |             nanogrid = nanovdb::openToNanoVDB<nanovdb::HostBuffer,
      |                                 ^~~~~~~~~~~~~
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:64:66: error: expected primary-expression before ‘,’ token
   64 |             nanogrid = nanovdb::openToNanoVDB<nanovdb::HostBuffer,
      |                                                                  ^
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:65:79: error: expected ‘(’ before ‘,’ token
   65 |                                               typename FloatGridType::TreeType,
      |                                                                               ^
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:66:60: error: expected primary-expression before ‘>’ token
   66 |                                               nanovdb::Fp16>(floatgrid);
      |                                                            ^
/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:71:29: error: ‘openToNanoVDB’ is not a member of ‘nanovdb’
   71 |         nanogrid = nanovdb::openToNanoVDB(floatgrid);
      |                             ^~~~~~~~~~~~~
gmake[2]: *** [intern/cycles/scene/CMakeFiles/cycles_scene.dir/build.make:331: intern/cycles/scene/CMakeFiles/cycles_scene.dir/image_vdb.cpp.o] Error 1
'''

It looks like a new dependency package is neeeded.

Comment 6 Charles R. Anderson 2024-02-21 16:26:45 UTC
Upgrade from Fedora 39 to 40 fails:

Error:
 Problem: problem with installed package blender-1:4.0.2-1.fc39.x86_64
   - blender-1:4.0.2-1.fc39.x86_64 from @System  does not belong to a distupgrade repository
     - nothing provides libopenvdb.so.10.1()(64bit) needed by blender-1:4.0.2-1.fc40.x86_64 from fedora

Comment 7 frank.richter 2024-03-05 10:16:05 UTC
This looks relevant: https://www.mail-archive.com/gentoo-commits@lists.gentoo.org/msg912950.html

Comment 8 Luya Tshimbalanga 2024-03-08 07:34:59 UTC
Testing the patches from comment #7. Rawhide is running fine but Fedora 40 version somehow failed.
https://copr.fedorainfracloud.org/coprs/g/designsuite/blender/build/7121372/

Comment 9 Ben Beasley 2024-03-19 15:52:52 UTC
I just checked this on F41:

/builddir/build/BUILD/blender-4.0.2/intern/cycles/scene/image_vdb.cpp:71:29: error: ‘openToNanoVDB’ is not a member of ‘nanovdb’
   71 |         nanogrid = nanovdb::openToNanoVDB(floatgrid);
      |                             ^~~~~~~~~~~~~

and on F40:

Run Build Command(s): /usr/bin/ninja-build -v -j 16
ninja: error: 'source/blender/compositor/CMakeFiles/bf_compositor.dir/cmake_pch.hxx.gch', needed by 'source/blender/compositor/CMakeFiles/bf_compositor.dir/Unity/unity_24_cxx.cxx.o', missing and no known rule to make it

Hopefully Blender can be fixed before the F40 final freeze.

Comment 10 Luya Tshimbalanga 2024-03-19 22:38:44 UTC
Blender 4.1 will get release on March 26 with proper support of OpenVDB 11
https://projects.blender.org/blender/blender/milestone/18

Comment 11 Luya Tshimbalanga 2024-03-28 06:32:34 UTC
It looks like Blender can successfully build without OpenVDB as tested on scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=115502818

Upon investigation, it seems possible to use ABI 10 for OpenVDB so next test will be with that enabled parameter "DOPENVDB_ABI_VERSION_NUMBER=10" via COPR:
https://copr.fedorainfracloud.org/coprs/luya/blender-egl/build/7225758/

Comment 12 Ben Beasley 2024-04-12 14:22:14 UTC
It looks like Luya built openvdb-11.0.0-7.fc40 and openshadinglanguage-1.13.7.0-1.fc40 – both ABI-incompatible – into f40-build-side-86961 on 2024-04-03. I don’t like shipping those ABI breaks as zero-day updates, but with Blender broken in F40 I am not sure there is any way out but forward.

I just finished doing a bunch of local test builds like this:

Round 1:

  OpenImageIO, openvkl, prusa-slicer

Round 2:

  luxcorerender, usd

Round 3:

  blender

The result was:

Error:
 Problem: cannot install both openshadinglanguage-libs-1.12.14.0-13.fc40.x86_64 from fedora and openshadinglanguage-libs-1.13.7.0-1.fc40.x86_64 from @System
  - package openshadinglanguage-1.12.14.0-13.fc40.x86_64 from fedora requires liboslquery.so.1.12()(64bit), but none of the providers can be installed
  - package openshadinglanguage-1.12.14.0-13.fc40.x86_64 from fedora requires liboslexec.so.1.12()(64bit), but none of the providers can be installed
  - package openshadinglanguage-1.12.14.0-13.fc40.x86_64 from fedora requires liboslcomp.so.1.12()(64bit), but none of the providers can be installed
  - package openshadinglanguage-devel-1.13.7.0-1.fc40.x86_64 from @System requires liboslcomp.so.1.13()(64bit), but none of the providers can be installed
  - package openshadinglanguage-devel-1.13.7.0-1.fc40.x86_64 from @System requires liboslexec.so.1.13()(64bit), but none of the providers can be installed
  - package openshadinglanguage-devel-1.13.7.0-1.fc40.x86_64 from @System requires liboslnoise.so.1.13()(64bit), but none of the providers can be installed
  - package openshadinglanguage-devel-1.13.7.0-1.fc40.x86_64 from @System requires liboslquery.so.1.13()(64bit), but none of the providers can be installed
  - package openshadinglanguage-devel-1.13.7.0-1.fc40.x86_64 from @System requires libtestshade.so.1.13()(64bit), but none of the providers can be installed
  - package openshadinglanguage-devel-1.13.7.0-1.fc40.x86_64 from @System requires openshadinglanguage-libs(x86-64) = 1.13.7.0-1.fc40, but none of the providers can be installed
  - package openshadinglanguage-common-headers-1.12.14.0-13.fc40.noarch from fedora requires openshadinglanguage = 1.12.14.0-13.fc40, but none of the providers can be installed

Ok, looking more closely, there seems to be some kind of dependency loop between openshadinglanguage and OpenImageIO, where openshadinglanguage should be rebuilt again after OpenImageIO. I tried that, and got the following in the second build of openshadinglanguage:

[49/133] : && /usr/bin/g++ -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -sp
ecs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -
fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -DNDEBUG -Wl,-z,relro -Wl,--as-needed  -Wl,-z,pack-relative-relocs -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld-errors -specs
=/usr/lib/rpm/redhat/redhat-hardened-ld -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -Wl,--build-id=sha1 -specs=/usr/lib/rpm/redhat/redhat-package-notes src/liboslnoise/CMakeFiles/oslnoise_test.dir/oslno
ise_test.cpp.o -o bin/oslnoise_test -L/usr/lib64/llvm15/lib -Wl,-rpath,/usr/lib64/llvm15/lib:/builddir/build/BUILD/OpenShadingLanguage-1.13.7.0/redhat-linux-build/lib  lib/liboslnoise.so.1.13.7  /usr/lib64
/libOpenImageIO.so.2.5.7  /usr/lib64/libOpenImageIO_Util.so.2.5.7  /usr/lib64/libImath-3_1.so.29.9.0  -lm && :
FAILED: bin/oslnoise_test
: && /usr/bin/g++ -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/
lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-prote
ction -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -DNDEBUG -Wl,-z,relro -Wl,--as-needed  -Wl,-z,pack-relative-relocs -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld-errors -specs=/usr/lib
/rpm/redhat/redhat-hardened-ld -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -Wl,--build-id=sha1 -specs=/usr/lib/rpm/redhat/redhat-package-notes src/liboslnoise/CMakeFiles/oslnoise_test.dir/oslnoise_test.
cpp.o -o bin/oslnoise_test -L/usr/lib64/llvm15/lib -Wl,-rpath,/usr/lib64/llvm15/lib:/builddir/build/BUILD/OpenShadingLanguage-1.13.7.0/redhat-linux-build/lib  lib/liboslnoise.so.1.13.7  /usr/lib64/libOpenI
mageIO.so.2.5.7  /usr/lib64/libOpenImageIO_Util.so.2.5.7  /usr/lib64/libImath-3_1.so.29.9.0  -lm && :
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::StreamMetadata::delayedLoadMeta() const'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::uninitialize()'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::File::readGrid(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, open
vdb::v11_0abi10::math::BBox<openvdb::v11_0abi10::math::Vec3<double> > const&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::getHalfFloat(std::ios_base&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::File::close()'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::DelayedLoadMetadata::getCompressedSize(unsigned long) const'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::File::beginName() const'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::getFormatVersion(std::ios_base&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::GridDescriptor::nameAsString(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> 
> const&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::MappedFile::createBuffer() const'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::getGridBackgroundValuePtr(std::ios_base&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::GridBase::META_FILE_BBOX_MAX'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::GridBase::getName[abi:cxx11]() const'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::setStreamMetadataPtr(std::ios_base&, std::shared_ptr<openvdb::v11_0abi10::io::StreamMetadata>&, bool)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::File::isOpen() const'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::getStreamMetadataPtr(std::ios_base&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::GridBase::META_FILE_BBOX_MIN'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::getDataCompression(std::ios_base&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::unzipFromStream(std::istream&, char*, unsigned long)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::File::endName() const'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::StreamMetadata::gridMetadata()'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::initialize()'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::DelayedLoadMetadata::getMask(unsigned long) const'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::File::open(bool, std::function<void (std::__cxx11::basic_string<char, std::char_traits<char>, std::allocato
r<char> >)> const&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::bloscFromStream(std::istream&, char*, unsigned long)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::File::File(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > const&)'
/usr/bin/ld: /usr/lib64/libOpenImageIO.so.2.5.7: undefined reference to `openvdb::v11_0abi10::io::StreamMetadata::leaf() const'
collect2: error: ld returned 1 exit status

That reminds me of what I see if I try to build Blender in Rawhide:

/usr/include/openvdb/points/AttributeArray.h:1166: error: undefined reference to 'openvdb::v11_0abi10::points::AttributeArray::AttributeArray(openvdb::v11_0abi10::points::AttributeArray const&, tbb::spin_mutex::scoped_lock const&)'
/usr/include/openvdb/points/AttributeArray.h:1166: error: undefined reference to 'openvdb::v11_0abi10::points::AttributeArray::AttributeArray(openvdb::v11_0abi10::points::AttributeArray const&, tbb::spin_mutex::scoped_lock const&)'
/usr/include/openvdb/points/AttributeArray.h:1166: error: undefined reference to 'openvdb::v11_0abi10::points::AttributeArray::AttributeArray(openvdb::v11_0abi10::points::AttributeArray const&, tbb::spin_mutex::scoped_lock const&)'

I wish this all could have been cleaned up before Final Freeze. I’m not going to attempt any builds into the side tag because I don’t know how to make the whole stack work.

Comment 13 Ben Beasley 2024-04-12 14:23:47 UTC
*** Bug 2274090 has been marked as a duplicate of this bug. ***

Comment 14 Fedora Fails To Install 2024-04-21 12:41:27 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 41.

Thanks for taking care of it!

Comment 15 Fedora Update System 2024-04-23 03:43:33 UTC
FEDORA-2024-45862e3ed9 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-45862e3ed9`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-45862e3ed9

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2024-04-25 01:00:07 UTC
FEDORA-2024-45862e3ed9 (blender-4.1.1-3.fc40, luxcorerender-2.7-0.18.beta1.fc40, and 4 more) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 RudraB 2024-04-25 13:26:32 UTC
Blender still requires openpgl and oidn-libs to start. Is it possible to add as dependency?
$blender
blender: error while loading shared libraries: libopenpgl.so.0: cannot open shared object file: No such file or directory
blender: error while loading shared libraries: libOpenImageDenoise.so.2: cannot open shared object file: No such file or directory


blender --version
Blender 4.1.1
	build date: 2024-04-21
	build time: 00:00:00
	build commit date: 1970-01-01
	build commit time: 00:00
	build hash: unknown
	build platform: Linux
	build type: Release
	build c flags:  -Wall -Werror=implicit-function-declaration -Wstrict-prototypes -Werror=return-type -Werror=vla -Wmissing-prototypes -Wno-char-subscripts -Wno-unknown-pragmas -Wpointer-arith -Wunused-parameter -Wwrite-strings -Wlogical-op -Wundef -Winit-self -Wmissing-include-dirs -Wno-div-by-zero -Wtype-limits -Wformat-signedness -Wrestrict -Wno-stringop-overread -Wno-stringop-overflow -Wnonnull -Wabsolute-value -Wuninitialized -Wredundant-decls -Wshadow -Wimplicit-fallthrough=5 -Wno-error=unused-but-set-variable -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Wno-complain-wrong-lang -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wl,--as-needed -fopenmp -std=gnu11 -msse -pipe -fPIC -funsigned-char -fno-strict-aliasing -ffp-contract=off -msse2  
	build c++ flags:  -Wuninitialized -Wredundant-decls -Wall -Wno-invalid-offsetof -Wno-sign-compare -Wlogical-op -Winit-self -Wmissing-include-dirs -Wno-div-by-zero -Wtype-limits -Werror=return-type -Wno-char-subscripts -Wno-unknown-pragmas -Wpointer-arith -Wunused-parameter -Wwrite-strings -Wundef -Wcomma-subscript -Wformat-signedness -Wrestrict -Wno-suggest-override -Wuninitialized -Wno-stringop-overread -Wno-stringop-overflow -Wimplicit-fallthrough=5 -Wundef -Wmissing-declarations -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Wno-complain-wrong-lang -Werror=format-security -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -march=x86-64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wl,--as-needed -fopenmp -msse -pipe -fPIC -funsigned-char -fno-strict-aliasing -ffp-contract=off -msse2  
	build link flags:  -Wl,--version-script='/builddir/build/BUILD/blender-4.1.1/source/creator/symbols_unix.map'
	build system: CMake

Comment 18 Luya Tshimbalanga 2024-04-26 01:54:52 UTC
(In reply to RudraB from comment #17)
> Blender still requires openpgl and oidn-libs to start. Is it possible to add
> as dependency?
> $blender
> blender: error while loading shared libraries: libopenpgl.so.0: cannot open
> shared object file: No such file or directory
> blender: error while loading shared libraries: libOpenImageDenoise.so.2:
> cannot open shared object file: No such file or directory
> 
Can you reinstall Blender? Should the failure occur again, which architecture do you run? Both openpgl and oidn should get automatically installed as dependency.